/**
 * Theme Name: Old Steam Construction 2024
 * Theme URI: https://www.elegantthemes.com/gallery/divi/
 * Description: Divi Child Theme
 * Author: Interactive Media Consulting, LLC
 * Author URI: https://www.imediaconsult.com
 * Template: Divi
 * Version: 1.0.0
 -----------------------------------------------------------------------------
 */

/**
 * Table of Contents
 *
 * 1.0  - Typography
 * 2.0  - Elements (forms, lists, horizontal rules)
 * 3.0  - Navigation (links, menus, pagination)
 * 4.0  - Header
 * 5.0  - Content (pages, posts)
 * 6.0  - Media (captions, galleries)
 * 7.0  - Widgets
 * 8.0  - Footer
 * 9.0  - Plugins
 * 10.0 - Media Queries
 * 11.0 - Print Queries
 -----------------------------------------------------------------------------
 */

/**
 * 1.0 Typography
 -----------------------------------------------------------------------------
 */

body {
	background-image: url(/wp-content/uploads/2024/10/oldsteam-background.jpg) !important;
}

h1, h2, h3, h4, h5, h6 {

}

h1 {

}

h2 {

}

h3 {

}

h4 {

}

h5 {

}

h6 {

}

p {

}

b,
strong {

}

dfn,
cite,
em,
i {

}

blockquote {

}

p,
ul,
li {
	font-weight: 400 !important;
	font-size: 24px !important;
	line-height: 1.4em;
}

/**
 * 2.0 Elements
 -----------------------------------------------------------------------------
 */

hr {
    background-color: #eee;
    border: 0;
    clear: both;
    height: 1px;
    width: 100%;
}

/**
 * 3.0 Navigation
 -----------------------------------------------------------------------------
 */

/*** Primary Menu */


/*** Secondary Menu */


/*** Footer Menu */


/*** Mobile Menu */


/*** Pagination */


/**
 * 4.0 Header
 -----------------------------------------------------------------------------
 */

.header-row { align-items: center !important; }

/**
 * 5.0 Content
 -----------------------------------------------------------------------------
 */

/*** Alignment */
.alignleft,
.wp-caption.alignleft,
blockquote.alignleft,
figure.wp-caption.alignleft,
img.alignleft {
    float: left;
    margin: 6px 20px 10px 4px;
}

.alignright,
.wp-caption.alignright,
blockquote.alignright,
figure.wp-caption.alignright,
img.alignright {
    float: right;
    margin: 6px 4px 10px 20px;
}

.aligncenter,
.wp-caption.aligncenter,
blockquote.aligncenter,
img.aligncenter,
.wp-caption.aligncenter {
    margin: 6px auto 10px;
}

.alignnone,
.wp-caption.alignnone {
    margin: 6px 0 10px;
}

.border_edit {
  outline: 3px solid white !important;
  outline-offset: 15px !important;
}

.vintage_images p {
	font-weight: 500 !important;
    font-size: 36px !important;
}

/* Return to themes button */
.themes_button {
	position: fixed;
	left: -30px !important; 
	top: 370px !important; 
	width: 300px !important; 
	height: 63px !important; 
	z-index:99999 !important; 
}

/* Both field chunks */
.vintage_contact .ginput_container input {
	background-color: #fff !important;
	border: 0px solid #bbb !important;
	padding: 15px !important;
	color: #000 !important;
}
.vintage_contact .ginput_container textarea {
	background-color: #fff !important;
	border: 0px solid #bbb !important;
	min-height: 150px !important;
	height: auto !important;
	padding: 15px !important;
	color: #000 !important;
}

/* Placeholder text */
.gform_fields .gfield input::-webkit-input-placeholder, .gform_fields .gfield textarea::-webkit-input-placeholder {
	/* color: #0c0c0c !important; */
}

/* Required message */
.vintage_contact .gfield_required, .vintage_contact .gfield_label {
	color: #fff !important;
}

/* Heading */
.vintage_contact .gform_heading h1 {
	font-size: 50px !important;
	color: #fff !important;
}

/* Button alignment */
.vintage_contact .gform_footer {
	text-align: right !important;
}

/*** BUTTON STYLING ***/
.gform_wrapper .gform_footer input {
	background: transparent;
	border: 2px solid #fff;
	font-size: 20px;
	color: #fff;
	padding: 12px 23px;
	border-radius: 5px;
	cursor: pointer;
	font-weight: 500 !important;
}

/*** BUTTON HOVER STYLING ***/
.gform_wrapper .gform_footer input.button:hover {
 background: rgba(0, 0, 0, 0.05);
 border: 2px solid transparent;
}

/* Both field chunks */
.vintage_subscription .ginput_container input {
	background-color: #fff !important;
	border: 0px solid #bbb !important;
	padding: 15px !important;
	color: #000 !important;
}
.vintage_subscription .ginput_container textarea {
	background-color: #fff !important;
	border: 0px solid #bbb !important;
	min-height: 150px !important;
	height: auto !important;
	padding: 15px !important;
	color: #000 !important;
}

/* Placeholder text */
.gform_fields .gfield input::-webkit-input-placeholder, .gform_fields .gfield textarea::-webkit-input-placeholder {
	/* color: #0c0c0c !important; */
}

.gform_confirmation_wrapper .gform_confirmation_message { color: #fff !important; }

/* Required message */
.vintage_subscription .gfield_required, .vintage_subscription .gfield_label {
	color: #fff !important;
}

/* Heading */
.vintage_subscription .gform_heading h1 {
	font-size: 50px !important;
	color: #fff !important;
}

/* Button alignment */
.vintage_subscription .gform_footer {
	text-align: right !important;
}

/*** BUTTON STYLING ***/
.gform_wrapper .gform_footer input {
	background: transparent;
	border: 2px solid #fff;
	font-size: 20px;
	color: #fff;
	padding: 12px 23px;
	border-radius: 5px;
	cursor: pointer;
	font-weight: 500 !important;
}

/*** BUTTON HOVER STYLING ***/
.gform_wrapper .gform_footer input.button:hover {
 background: rgba(0, 0, 0, 0.05);
 border: 2px solid transparent;
}

/* Contact Page */

.contact-links a { color: #fff !important; }

/**
 * 6.0 Media
 -----------------------------------------------------------------------------
 */

/*** Captions */


/*** Galleries */


/*** Images */


/**
 * 7.0 Widgets
 -----------------------------------------------------------------------------
 */



/**
 * 8.0 Footer
 -----------------------------------------------------------------------------
 */

.footer-text a { color: #fff !important; }

.footer-text span { padding: 0 20px 0 20px; }

/**
 * 9.0 Plugins
 -----------------------------------------------------------------------------
 */



/**
 * 10.0 Media Queries
 -----------------------------------------------------------------------------
 */

@media all and (max-width: 1307px) {
	.vintage_menu .et_pb_menu_inner_container .et_pb_menu__wrap .et_pb_menu__menu nav ul li a {
		font-size: 22px !important;
	}
}

/*@media all and (max-width: 1300px) {
	.vintage_images {
		min-height: 350px !important
	}
	
	.vintage_background {
		height: 950px !important;
	}
}*/

@media all and (max-width: 1219px) {
	.vintage_menu .et_pb_menu_inner_container .et_pb_menu__wrap .et_pb_menu__menu nav ul li a {
		font-size: 20px !important;
	}
}

@media all and (max-width: 1129px) {
	.vintage_menu .et_pb_menu_inner_container .et_pb_menu__wrap .et_pb_menu__menu nav ul li a {
		font-size: 18px !important;
	}
}

@media all and (max-width: 1096px) {
	.vintage_title {
		font-size: 65px !important;
	}
	
	.vintage_title h1 {
		font-size: 65px !important;
	}
}

@media all and (max-width: 1040px) {
	.vintage_menu .et_pb_menu_inner_container .et_pb_menu__wrap .et_pb_menu__menu nav ul li a {
		font-size: 16px !important;
	}
}

@media all and (max-width: 1014px) {
	.vintage_title {
		font-size: 60px !important;
	}
	
	.vintage_title h1 {
		font-size: 60px !important;
	}
}

@media all and (max-width: 980px) {
	.themes_button {
	position: fixed;
	left: -30px !important; 
	top: 430px !important; 
	width: 300px !important; 
	height: 63px !important; 
	z-index:99999 !important; 
}
	
	.vintage_images {
		min-width: 35% !important;
		margin-top: 25px !important;
	}
	
	.vintage_title {
		font-size: 65px !important;
	}
	
	.vintage_title h1 {
		font-size: 65px !important;
	}
	
	.vintage_socials {
		position: relative;
		right: 0px !important; 
		top: -365px !important; 
	}
	
	.footer-text span { display: none; }
	.footer-text p { 
		display: flex;
		flex-direction: column;
	}
	.footer-text a { margin-top: 15px; }
}

@media all and (max-width: 700px) {
	.et_pb_social_media_follow .et_pb_social_media_follow_network_3_tb_header .icon, .et_pb_social_media_follow .et_pb_social_media_follow_network_2_tb_header .icon, .et_pb_social_media_follow .et_pb_social_media_follow_network_1_tb_header .icon, .et_pb_social_media_follow .et_pb_social_media_follow_network_0_tb_header .icon{
    	height: 32px !important;
    	width: 32px !important;
	}
}

@media all and (max-width: 650px) {
	.vintage_title {
		font-size: 46px !important;
	}
	
	.vintage_title h1 {
		font-size: 46px !important;
	}
	
	.vintage_text {
		font-size: 20px !important;
	}
	
	/*.vintage_background2 {
		height: 1800px !important;
	}*/
}

@media all and (max-width: 479px) {
	.vintage_title,
	.vintage_title h1 {
		font-size: 36px !important;
	}
}

/**
 * 11.0 Print
 -----------------------------------------------------------------------------
 */

@media print {

}